Lattice Builder Manual Software Package for Constructing Rank-1 Lattices

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Friends Modules Pages
Public Types | Public Member Functions | Static Public Member Functions | Protected Types | Protected Member Functions | List of all members
LatBuilder::BasicStorage< DERIVED > Class Template Reference

Base class for storage types. More...

`#include <Storage.h>`

## Public Types
typedef StorageTraits< DERIVED > ::size_type | size_type
typedef StorageTraits< DERIVED > ::MeritValue | MeritValue
typedef StorageTraits< DERIVED > ::SizeParam | SizeParam
typedef StorageTraits< DERIVED > ::Unpermute | Unpermute
typedef StorageTraits< DERIVED > ::Stride | Stride

## Public Member Functions
| BasicStorage (SizeParam sizeParam)
size_type | virtualSize () const
size_type | size () const
const SizeParam & | sizeParam () const
bool | symmetric () const
bool | operator== (const BasicStorage &other) const
bool | operator!= (const BasicStorage &other) const
MeritValue | createMeritValue (Real value) const
template<class V >
boost::numeric::ublas::vector_indirect < V, IndexMap< Unpermute > > | unpermuted (boost::numeric::ublas::vector_container< V > &vec) const
| Returns a vector proxy to access the vector's elements in their natural order.
template<class V >
boost::numeric::ublas::vector_indirect < const V, IndexMap< Stride > > | strided (const boost::numeric::ublas::vector_container< V > &vec, size_type stride) const
| Returns a vector proxy to access the vector's elements with a periodic jump of `stride` across the elements.

## Static Public Member Functions
static std::string | name ()

## Protected Types
typedef StorageTraits< DERIVED > ::Compress | Compress

## Protected Member Functions
| BasicStorage (const BasicStorage &)=default

## Detailed Description

### template<class DERIVED>
class LatBuilder::BasicStorage< DERIVED >

Base class for storage types.

Template Parameters

  DERIVED | Concrete storage type.

The documentation for this class was generated from the following file:

- latbuilder/include/latbuilder/Storage.h